<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='Out0' id=''>
  <import-decl name='RT0' id='RT0' export='no' module='RT0'/>
  <procedure name='Open' id='Open' export='yes'>
    <formal-parameters/>
  </procedure>
  <procedure name='Char' id='Char' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='Char.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='String' id='String' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='String.s' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LString' id='LString' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='LString.s' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='LONGCHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='UString' id='UString' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='UString.s' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='UCS4CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Int' id='Int' export='yes'>
    <formal-parameters>
      <parameter-decl name='i' id='Int.i' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='Int.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Bool' id='Bool' export='yes'>
    <formal-parameters>
      <parameter-decl name='b' id='Bool.b' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='BOOLEAN'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Set' id='Set' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='Set.s' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='SET'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Real' id='Real' export='yes'>
    <formal-parameters>
      <parameter-decl name='x' id='Real.x' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='Real.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongReal' id='LongReal' export='yes'>
    <formal-parameters>
      <parameter-decl name='x' id='LongReal.x' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGREAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='LongReal.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Ln' id='Ln' export='yes'>
    <formal-parameters/>
  </procedure>
</interface-description>
